> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCompanyTask

> 
The `getCompanyTask` API retrieves a list of pending tasks that should be completed during onboarding and day-to-day operations.

### What it does:

- Identifies incomplete onboarding steps such as KYB verification, bank account setup, or pay schedule configuration
- Returns pending tasks during day-to-day operation including reminders to run payroll, complete employee onboarding, sign vital forms, and submit state tax registration

### Note:

- Important outstanding tasks can prevent payroll running successfully. If a payroll fails this is the first place to check



## OpenAPI

````yaml get /reports/getCompanyTask
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getCompanyTask:
    get:
      tags: []
      summary: getCompanyTask
      description: >-

        The `getCompanyTask` API retrieves a list of pending tasks that should
        be completed during onboarding and day-to-day operations.


        ### What it does:


        - Identifies incomplete onboarding steps such as KYB verification, bank
        account setup, or pay schedule configuration

        - Returns pending tasks during day-to-day operation including reminders
        to run payroll, complete employee onboarding, sign vital forms, and
        submit state tax registration


        ### Note:


        - Important outstanding tasks can prevent payroll running successfully.
        If a payroll fails this is the first place to check
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getCompanyTask
              companyId: 2DFCA586-C2D4-4FD7-B823-063F2575A5E7
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  tasks:
                    type: array
                    items:
                      type: object
                      properties:
                        task:
                          type: string
                        description:
                          type: string
                      required:
                        - task
                        - description
                required:
                  - tasks
              example:
                tasks:
                  - task: Add Wage
                    description: Enter pay details to 41 team members ready for payday
                  - task: Form DR-835 Signature request
                    description: Form DR-835 allows us to file and pay taxes on your behalf
                  - task: Form 8655 Signature request
                    description: Form 8655 allows us to file and pay taxes on your behalf
                  - task: Add check details
                    description: Provide check details
                  - task: Missing State tax information
                    description: Missing State Tax Registration Details for CO
                  - task: Run Payroll
                    description: >-
                      Overdue for employees by 50 days to run payroll for
                      [05/28/2025-06/03/2025]
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````